Loading...
Searching...
No Matches
mdds::mtv::clone_block< BlockT, typename > Struct Template Reference

`#include <types.hpp>`

## Public Types

using | store_type = typename BlockT::store_type

## Public Member Functions

BlockT * | operator() (const BlockT &blk) const

## Detailed Description

template<typename BlockT, typename = void>
struct mdds::mtv::clone_block< BlockT, typename >

Default variant which throws element_block_error.

Parameters

  <BlockT> | Element block type.